## f_chmod

The f_chmod function changes the attribute of a file or directory.

    FRESULT f_chmod (
      const TCHAR* FileName, /* Pointer to the file or directory */
      BYTE Attribute,        /* Attribute flags */
      BYTE AttributeMask     /* Attribute masks */
    );

#### Parameters

FileName
  Pointer to the null-terminated string that specifies a file or directory to be changed
Attribute
  Attribute flags to be set in one or more combination of the following flags. The specified flags are set and others are cleard.

  Attribute | Description
  --- | ---
  AM_RDO | Read only
  AM_ARC | Archive
  AM_SYS | System
  AM_HID | Hidden

AttributeMask
  Attribute mask that specifies which attribute is changed. The specified aattributes are set or cleard.

#### Return Values

FR_OK, FR_DISK_ERR, FR_INT_ERR, FR_NOT_READY, FR_NO_FILE, FR_NO_PATH, FR_INVALID_NAME, FR_WRITE_PROTECTED, FR_INVALID_DRIVE, FR_NOT_ENABLED, FR_NO_FILESYSTEM, FR_TIMEOUT, FR_NOT_ENOUGH_CORE

#### Description

The f_chmod function changes the attribute of a file or directory.

#### QuickInfo

Available when `_FS_READONLY == 0` and `_FS_MINIMIZE == 0`.

#### Example

        /* Set read-only flag, clear archive flag and others are retained. */
        f_chmod("file.txt", AR_RDO, AR_RDO | AR_ARC);

Return